import '../../common/values/borders.dart';
import '../../common/values/colors.dart';
import 'package:flutter/material.dart';

import '../../common/values/sizes.dart';
import '../custom/spaces.dart';

class CustomButton extends StatelessWidget {
  CustomButton(
      {this.title,
      required this.onPressed,
      this.height,
      this.elevation,
      this.borderRadius,
      this.color = SharingColors.blackShade5,
      this.borderSide,
      this.textStyle,
      this.icon});

  final VoidCallback? onPressed;
  final double? height;
  final double? elevation;
  final double? borderRadius;
  final String? title;
  final Color color;
  final BorderSide? borderSide;
  final TextStyle? textStyle;
  final Widget? icon;

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      padding: EdgeInsets.zero,
      onPressed: onPressed,
      elevation: elevation ?? Sizes.ELEVATION_1,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(borderRadius ?? Sizes.RADIUS_8),
        side: borderSide ?? Borders.defaultPrimaryBorder,
      ),
      height: height ?? Sizes.HEIGHT_44,
      color: color,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          icon ?? Container(),
          icon != null ? SpaceW8() : Container(),
          title != null
              ? Text(
                  title!,
                  style: textStyle,
                )
              : Container(),
        ],
      ),
    );
  }
}
