import 'dart:async';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';
import 'package:sharing/widget/pages/page_empty_data_widget.dart';

import '../text/custom_text_medium_bold_field.dart';

class LoadingUIPageWidget extends StatefulWidget {
  const LoadingUIPageWidget({Key? key, this.isCart = false, this.msg})
      : super(key: key);

  @override
  State<LoadingUIPageWidget> createState() => _LoadingUIPageWidgetState();

  final bool? isCart;
  final String? msg;
}

class _LoadingUIPageWidgetState extends State<LoadingUIPageWidget> {
  Timer? _timer;
  bool isHasData = true;

  @override
  void dispose() {
    _timer?.cancel();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    _timer?.cancel();
    _timer = Timer(Duration(milliseconds: 2000), () {
      setState(() {
        isHasData = false;
      });
    });
    return isHasData ? Center(
      child: Stack(
        alignment: Alignment.center,
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SpinKitCircle(
                size: 40,
                color: Colors.blue[400],
              ),
              const SizedBox(
                height: 5,
              ),
              CustomTextMediumBoldField(
                label: "text_loading".tr(),
                color: Colors.blue[400],
              )
            ],
          ),
        ],
      ),
    ) : EmptyUIPageWidget();
  }
}
