import '../../common/values/styles.dart';
import 'package:flutter/material.dart';

class CustomTextMediumBoldField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;
  final double? textSize;
  final FontWeight? fontWeight;
  final String? fontName;

  CustomTextMediumBoldField(
      {required this.label,
      this.color,
      this.align,
      this.maxLine,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    return Text(label,
        textAlign: align,
        overflow: TextOverflow.ellipsis,
        maxLines: maxLine,
        style: Styles.customTextMediumBoldStyle(
            color: color,
            fontName: fontName,
            fontWeight: fontWeight,
            textSize: textSize));
  }
}
